/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.syswarning.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.syswarning.entity.SysWarningUser;
import com.jeeplus.modules.syswarning.dao.SysWarningUserDao;

/**
 * 系统预警Service
 * @author chenyuping
 * @version 2018-08-14
 */
@Service
@Transactional(readOnly = true)
public class SysWarningUserService extends CrudService<SysWarningUserDao, SysWarningUser> {

	public SysWarningUser get(String id) {
		return super.get(id);
	}
	
	public List<SysWarningUser> findList(SysWarningUser sysWarningUser) {
		return super.findList(sysWarningUser);
	}
	
	public Page<SysWarningUser> findPage(Page<SysWarningUser> page, SysWarningUser sysWarningUser) {
		return super.findPage(page, sysWarningUser);
	}
	
	@Transactional(readOnly = false)
	public void save(SysWarningUser sysWarningUser) {
		super.save(sysWarningUser);
	}
	
	@Transactional(readOnly = false)
	public void delete(SysWarningUser sysWarningUser) {
		super.delete(sysWarningUser);
	}
	
	
	
	
}